.main-place-section {
  width: 100%;
  padding: 75px 20px;
  background-color: #fff;
  border-bottom: 1px solid #ddd;
}

.main-place-section > .main-place-inner-container {
  width: 100%;
  max-width: 1240px;
  margin: auto;
}

.place-section-title {
  font-weight: 700;
  font-size: 32px;
  letter-spacing: -2%;
  margin-bottom: 48px;
}

.main-place-inner-container .place-box {
  width: 100%;
  display: flex;
  align-items: center;
}

.map-image {
  max-width: 100%;
}

.place-table-line {
  display: flex;
  margin-bottom: 20px;
  font-size: 16px;
}

.place-table-title {
  width: 88px;
  font-weight: 600;
  font-size: 20px;
  line-height: 24px;
  letter-spacing: 0%;
}

.place-table-content {
}

.table-time-content {
  display: grid; 
  grid-template-columns: max-content 1fr; 
  gap: 10px; 
  align-items: center;
}

.place-table-address {
  display: flex;
  align-items: center;
  margin-bottom: 6px;
  line-height: 24px;
  letter-spacing: -2%;
}

.place-station {
  background-color: #f1b900;
  border-radius: 200px;
  padding: 2px 6px;
  font-size: 11px;
  color: #fff;
  width: fit-content;
  margin-right: 6px;
  white-space: nowrap;
}

.place-map-btn {
  border: 1px solid #cccccc;
  padding: 4px 12px;
  border-radius: 50px;

  display: flex;
  align-items: center;
  justify-content: center;
  width: fit-content;

  font-size: 14px;
  margin-right: 8px;
}

.place-map-btn > img {
  width: 16px;
  height: 16px;
  margin-right: 8px;
}

.place-table-parking {
  display: flex;
  align-items: center;
  margin-bottom: 6px;
  line-height: 24px;
  letter-spacing: -2%;
}

.place-table-parking-desc {
  font-weight: 400;
  font-size: 14px;
  margin-bottom: 6px;
  line-height: 20px;
  letter-spacing: -2%;
}

.place-parking-icon {
  width: 20px;
  height: 20px;
  margin-right: 6px;
}

.place-parking-sideline {
  margin: 0 8px;
  width: 2px;
  height: 12px;
  background-color: #ccc;
}

.place-table-phone {
  font-weight: 600;
  font-size: 16px;
}

.place-table-time {
  margin-bottom: 6px;
  display: flex;
  align-items: center;
  gap: 16px;
  line-height: 24px;
  letter-spacing: -2%;
}

/* 모바일 레이아웃 */
@media (max-width: 768px) {
  .main-place-inner-container .place-box {
    flex-direction: column;
  }

  .main-place-section {
    padding: 40px 16px;
  }

  .main-place-inner-container .place-box .flex-1:first-child {
    order: 2;
    width: 100%;
  }

  .main-place-inner-container .place-box .flex-1:last-child {
    order: 1;
    width: 100%;
    margin-bottom: 20px;
  }

  .map-image {
    width: 100%;
    height: auto;
  }

  .place-section-title {
    font-size: 20px;
    margin-bottom: 20px;
  }

  .place-table-line {
    margin-bottom: 16px;
  }

  .place-table-title {
    width: 76px;
    line-height: 100%;
    font-size: 14px;
  }

  .place-table-address {
    font-size: 14px;
    line-height: 100%;
  }

  .place-map-btn {
    font-size: 12px;
    margin-top: 12px;
  }

  .place-table-parking {
    font-size: 14px;
    line-height: 100%;
    flex-wrap: wrap;
  }

  .place-table-line .place-table-content {
    flex: 1;
    min-width: 0;
  }

  .place-table-phone {
    line-height: 100%;
    font-size: 14px;
  }

  .place-table-time {
    font-size: 14px;
    line-height: 100%;
  }

  .place-table-parking-desc br {
    display: none;
  }
}
